Smart variable with space in its name allowed to create. Actually It should not.
Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1284781 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2985

  

Description

Description of problem:

Smart Variable with space in its name allowed to create in a puppet class. Which should not be allowed.

And also after creating the smart variable, it is not viewable, editable and deletable too.

Version-Release number of selected component (if applicable):

foreman-1.11.0-0.develop.201511181617git2fc4d6d.el7.noarch

How reproducible:

Always

Steps to Reproduce:

1. Try to create a smart variable with name having blank space, from Config -> Classes -> Class -> Smart Variables tab.

Actual results:

Smart Variable with space in its name allowed to create in a puppet class.

Expected results:

1.Smart Variable with space in its name should not be allowed to create in a puppet class.

2. There should be a proper error message displayed saying space not allowed in variable name.

Related issues:

Related to Foreman - Bug #14183: Smart variable not showing whitespace valida... Closed 03/14/2016

Associated revisions

Revision 54188a7c - 01/12/2016 05:03 AM - Ori Rabin

Fixes #12577 - Smart variable key should not contain space

History

#1 - 12/17/2015 01:37 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 12/17/2015 02:32 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2985 added

#3 - 01/12/2016 06:03 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 54188a7c45c79df42387cba7025b2e7f9a3fbe2a.
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/54188a7c45c79df42387cba7025b2e7f9a3fbe2a


#4 - 01/12/2016 06:06 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 03/14/2016 09:00 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3318 added

#6 - 03/14/2016 09:03 AM - Ori Rabin

- Related to Bug #14183: Smart variable not showing whitespace validation added

#7 - 03/14/2016 09:05 AM - Ori Rabin

- Pull request deleted (https://github.com/theforeman/foreman/pull/3318)

Files

blank space in var name.png 212 KB 11/24/2015 Jitendra Yejare

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

